﻿body {
}


/*------------------Staus----------------------*/

.status {
    position: fixed;
    top: 7px;
    left: 0;
    width: 100%;
    z-index: 11111;
    text-align: center;
}

    .status > div {
        display: inline-block;
        margin: 0 auto;
        padding: 12px 20px;
        position: relative;
        border-radius: 10px;
        overflow: hidden;
    }

        .status > div:after {
            content: '';
            position: absolute;
            right: 0;
            top: 0;
            bottom: 0;
            width: 70%;
            background: linear-gradient( 67deg, #1a1f4e00,#1a1f4e00, #ffffff3d);
            transition: .3s;
        }

    .status.success > div {
        background: #6ebe44b0;
    }

    .status.error > div {
        background: #ef5644c9;
    }

    .status > div p {
        color: #fff;
        margin-bottom: 0;
    }

/*---------------------------------------------*/

label.error,
span.validationMessage {
    color: #f00;
    font-size: 12px;
    margin-bottom: 0;
    position: absolute;
    margin-top: 3px;
}

.input-group label.error {
    position: absolute;
    bottom: 0;
    margin-bottom: -20px;
}

.form-control.error {
    border-bottom: 1px solid #f82020;
    box-shadow: 0px 6px 10px -8px #f82020;
}

span.required-class {
    color: #ff0000;
    font-weight: 600;
}

.input-group span.validationMessage {
    position: absolute;
    bottom: -17px;
    font-size: 80%;
    color: rgb(255, 0, 0);
}

/*--------------Input Type Numeric----------------*/

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.disabled {
    cursor: not-allowed;
    pointer-events: none;
    opacity: 0.5;
    filter: alpha(opacity=30);
    -webkit-box-shadow: none;
    box-shadow: none;
}

.ux-hide {
    position: absolute !important;
    top: -9999px !important;
    left: -9999px !important;
}

.modal.fade {
    z-index: 10000000 !important;
}

.custom-poupup {
    background: #2c315c;
    padding-top: 0px;
}

.bg-theme {
    background: #2c315c;
}

.badge-xs {
    padding: 2px 2px;
    font-size: 65%;
}

    .badge-xs i {
        margin-right: 5px;
        margin-left: 5px;
    }


.card.card-scrollable {
    max-height: 80vh
}

    .card.card-scrollable .card-body {
        overflow-y: auto;
    }

        .card.card-scrollable .card-body::-webkit-scrollbar {
            width: 4px;
            background-color: #04040b00;
        }

        .card.card-scrollable .card-body::-webkit-scrollbar-track {
            box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
        }

        .card.card-scrollable .card-body::-webkit-scrollbar-thumb {
            background-color: #ffffff38;
            background: linear-gradient( 360deg, #1115421f, #545794);
        }

.theme.nav-tabs {
}

    .theme.nav-tabs .nav-link.active,
    .theme.nav-tabs .nav-item.show .nav-link {
        background-image: linear-gradient(to bottom left,#687ce1,#25316d);
    }


/* Dropzone === */

.dropzone {
    background: none !important;
    padding: 10px;
}

.dz-file-block {
    width: 280px;
    float: left;
    box-sizing: border-box;
}

.dz-file-icon {
    float: left;
}

    .dz-file-icon i {
        font-size: 27px;
        line-height: 36px;
        color: #ffffff63;
    }

.dz-file-data {
    float: left;
    width: 248px;
    padding: 0px 10px;
    height: 35px;
}

    .dz-file-data .progress {
        margin: 0;
        margin-top: 5px;
    }

.dz-file-info {
}

.dz-file-name {
    width: 100%;
    display: block;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 12px;
    line-height: 23px;
}

.dz-file-size {
    width: 100%;
    font-size: 11px;
    line-height: 6px;
    vertical-align: text-top;
}

.dz-preview-template {
    clear: both;
    padding: 5px;
    overflow: hidden;
    margin-bottom: 10px;
    border-radius: 5px;
}

.dz-file-messages {
    float: left;
    width: calc(100% - 300px);
    min-height: 31px;
    padding: 5px 10px;
    box-sizing: border-box;
    border-left: 1px solid #ffffff47;
    position: relative;
}

.dz-preview-template {
    position: relative;
    background: #c0c3f92e;
}

    .dz-preview-template:after {
        content: '';
        position: absolute;
        height: 4px;
        left: 0;
        right: 0;
        bottom: 0;
    }

    .dz-preview-template .error strong {
        display: block;
        color: #fff;
    }

.dz-alert-success:after {
    background: #1ba767;
    background: linear-gradient(90deg, #1ba76730, #1ba767);
}

.dz-alert-info:after {
    background: #00bcd4;
    background: linear-gradient(90deg, #00bcd42b, #00bcd4);
}

.dz-alert-warning:after {
    background: #ff9800;
    background: linear-gradient(90deg, #ff980021, #ff9800);
}

.dz-alert-danger:after {
    background: #ff4436;
    background: linear-gradient(90deg, #ff44364f, #ff4436);
}

.dz-message-text {
    font-size: 12px;
    font-weight: 500;
}

.dz-alert-success .dz-message-text {
    color: #48a863 !important;
}

.dz-alert-info .dz-message-text {
    color: #50bcd5 !important;
}

.dz-alert-warning .dz-message-text {
    color: #f29800 !important;
}

.dz-alert-danger .dz-message-text {
    color: #ee4237 !important;
}

.dz-file-messages i {
    color: #3f51b5;
    font-size: 30px;
    position: absolute;
    top: 1px;
}

.dz-complete .dz-file-messages i {
    display: none;
}

.theme .tablesorter-bootstrap thead .tablesorter-headerDesc {
    background-image: url('../images/down.svg');
}

.theme .tablesorter-bootstrap thead .tablesorter-headerUnSorted:not(.sorter-false) {
    background-image: url('../images/up&down.svg');
}

.theme .tablesorter-bootstrap thead .tablesorter-headerAsc {
    background-image: url('../images/up.svg');
}


.theme .tablesorter-bootstrap:not(.table-dark) tfoot td,
.theme .tablesorter-bootstrap:not(.table-dark) tfoot th,
.theme .tablesorter-bootstrap:not(.table-dark) thead:not(.thead-dark) .tablesorter-header {
    background-color: transparent;
}

tr.prev-stock td {
    background-color: #6d1432 !important;
}

.them-tab-content {
    box-shadow: 0px 5px 10px -4px #0000009e;
    padding: 0px 0 15px 0;
    border-bottom: 1px solid #fff3;
}

.pbStock {
    position: absolute;
    background: #ffffff42;
    border-radius: 6px;
    top: 0;
    margin-left: 20px;
    padding: 3px 10px;
    font-size: 80%;
}

    .pbStock::after {
        content: '';
        position: absolute;
        left: -10px;
        top: 50%;
        margin-top: -5px;
        border-top: 6px solid transparent;
        border-bottom: 6px solid transparent;
        border-right: 10px solid #ffffff42;
    }

.theme .table b {
    display: flow;
    border-top: 1px dashed #ffffff52;
    padding-top: 3px;
    margin-top: 3px;
    color: #e9aa4e;
}

    .theme .table b.gUp {
        color: #56bb55;
    }

    .theme .table b.gDown {
        color: #ef4545;
    }

    .theme .table b > hr {
        margin: 0;
    }

    .theme .table b > a {
        color: #e9aa4e;
    }

.stock-fund-span {
    display: block;
    font-size: 75%;
    border-top: 1px dashed #ffffff2e;
    margin-top: 5px;
    padding-top: 5px;
}

table.fixed {
    table-layout: auto !important;
    overflow-x: auto;
}

    table.fixed td,
    table.fixed th {
        table-layout: fixed;
        max-width: 100%;
        white-space: nowrap !important;
        width: auto;
        padding-top: 2px;
        padding-bottom: 2px;
    }

.tableFixHead {
    overflow: auto;
    /* height: 350px;*/
}

    .tableFixHead.fix {
        overflow: auto;
        height: calc(100vh - 95px) !important;
    }

    .tableFixHead .table {
        border-collapse: collapse !important;
    }

    .tableFixHead thead th {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .tableFixHead table th:first-child {
        z-index: 2;
        position: sticky;
        left: 0;
        border-right: 1px solid #ffffff29;
    }

    /* .tableFixHead table th:nth-child(2) {
                left: 63px;
                z-index: 2;
            }*/

    .tableFixHead tbody tr td:first-child,
    .tableFixHead tfoot tr td:first-child {
        position: sticky;
        left: 0;
        border-right: 1px solid #ffffff29;
        font-size: var(--tb-font);
    }

/* .tableFixHead table tr td:nth-child(2) {
                left: 63px;
                position: sticky;
                border-right: 1px solid #ffffff29;
            }*/

.tablesorter-bootstrap:not(.table-dark) tfoot td, .tablesorter-bootstrap:not(.table-dark) tfoot th, .tablesorter-bootstrap:not(.table-dark) thead:not(.thead-dark) .tablesorter-header {
    background-color: #1a1f4e !important;
}

.filter-btn {
    right: 0;
    position: absolute;
    padding: 10px;
    color: #fff;
}

.filter-box {
    background: #1c2256d1;
    position: fixed;
    right: -30%;
    top: 0;
    z-index: 100;
    height: 100%;
    width: 30%;
    padding: 15px;
    transition: 0.5s;
    backdrop-filter: blur(5px);
    box-shadow: 0px 0px 30px #0000006b;
}

    .filter-box .cls-btn {
        position: absolute;
        left: 0px;
        background: #fff;
        width: 40px;
        height: 40px;
        line-height: 40px;
        text-align: center;
        border-radius: 6px 0px 0px 6px;
        color: #000;
        font-size: 30px;
        transition: 0.9s;
    }

    .filter-box.open {
        right: 0;
    }

        .filter-box.open .cls-btn {
            left: -40px;
        }

    .filter-box .scralls {
    }

.lables a {
    padding-left: 5px;
    padding-right: 5px;
}

.lables .dropdown-toggle {
    border-radius: 50%;
    font-size: 12px;
    border-radius: 6px;
    width: 30px;
    height: 30px;
    line-height: 30px;
    padding: 0;
    text-align: center;
}

    .lables .dropdown-toggle::after {
        display: none;
    }

.lables .btn:focus-visible {
    border: none;
}

.lables ul.dropdown-menu {
    padding: 5px;
    background: #1c1e4fe0;
    min-width: auto;
}

    .lables ul.dropdown-menu:after {
        content: '';
        position: absolute;
        left: 0;
        top: 50%;
        margin-left: -10px;
        margin-top: -10px;
        border-top: 10px solid transparent;
        border-bottom: 10px solid transparent;
        border-right: 10px solid #1c1e4f;
    }

    .lables ul.dropdown-menu li {
        display: table-cell;
    }

        .lables ul.dropdown-menu li .dropdown-item {
            font-size: 12px;
            border-radius: 6px;
            width: 20px;
            height: 20px;
            line-height: 20px;
            padding: 0;
            text-align: center;
        }

tr.colr-1 td {
    background-color: #745541 !important;
}

tr.colr-2 td {
    background-color: #5aa17b !important;
}

tr.colr-3 td {
    background-color: #8d1056 !important;
}

tr.colr-4 td {
    background-color: #937f24 !important;
}

tr.colr-5 td {
    background-color: #465e9a !important;
}

.color-info {
    display: inline-flex;
    padding: 5px;
}

    .color-info li {
        display: inline-block;
        padding: 2px;
    }

        .color-info li h6 {
            font-size: 10px;
            margin-bottom: 2px;
        }

        .color-info li span {
            display: block;
            height: 10px;
        }

        .color-info li.colr-1 span {
            background-color: #745541 !important;
        }

        .color-info li.colr-2 span {
            background-color: #5aa17b !important;
        }

        .color-info li.colr-3 span {
            background-color: #8d1056 !important;
        }

        .color-info li.colr-4 span {
            background-color: #937f24 !important;
        }

        .color-info li.colr-5 span {
            background-color: #465e9a !important;
        }

.side-nav .nav-pills {
    display: block;
    padding: 0;
    background: #1a1f4e;
    min-height: calc(100vh - 179px) !important;
}

    .side-nav .nav-pills .nav-item {
        display: block;
    }

    .side-nav .nav-pills .nav-link {
        position: relative;
        color: #fff;
        border-radius: 0;
        padding: 14px;
        border-bottom: 1px solid #0000002b;
        transition: 0.3s;
    }

        .side-nav .nav-pills .nav-link:after {
            position: absolute;
            content: '';
            right: 10px;
            top: 50%;
            margin-top: -8px;
            border-bottom: 8px solid transparent;
            border-top: 8px solid transparent;
            border-left: 10px solid #222860;
            transition: 0.3s;
        }

        .side-nav .nav-pills .nav-link.active,
        .side-nav .nav-pills .show > .nav-link {
            background-color: #222860;
        }

            .side-nav .nav-pills .nav-link.active:after,
            .side-nav .nav-pills .show > .nav-link:after {
                right: -10px;
            }

        .side-nav .nav-pills .nav-link.active,
        .side-nav .nav-pills .show > .nav-link {
        }

.side-nav .tab-content {
    padding: 15px;
}

.stick-modal iframe {
    height: calc(100vh - 100px) !important;
}

.stick-modal .modal-body {
    background: url('../images/loading.gif') no-repeat center center;
}

.theme table a {
    cursor: pointer;
    color: #ffffffa3;
}

[data-bs-theme="light"] table.fixed {
    table-layout: auto !important;
    overflow-x: auto;
}

    [data-bs-theme="light"] table.fixed td,
    [data-bs-theme="light"] table.fixed th {
        table-layout: fixed;
        max-width: 100%;
        white-space: nowrap !important;
        width: auto;
    }

[data-bs-theme="light"] .tableFixHead {
    overflow: auto;
    height: calc(100vh - 0px);
    min-height: 350px;
}

    [data-bs-theme="light"] .tableFixHead .table {
        border-collapse: collapse !important;
    }

    [data-bs-theme="light"] .tableFixHead thead th {
        position: sticky;
        top: 0;
        z-index: 1;
        background: #444444fa !important;
        color: #fff !important;
    }

    [data-bs-theme="light"] .tableFixHead thead tr:last-child th {
        top: 36px;
    }

    [data-bs-theme="light"] .tableFixHead.no-colspan thead tr:last-child th {
        top: 0;
    }

    [data-bs-theme="light"] .tableFixHead table th:first-child {
        left: 0;
        z-index: 2;
    }

    [data-bs-theme="light"] .tableFixHead tbody tr td:first-child {
        position: sticky;
        left: 0;
        border-right: 1px solid #00000029;
    }

.frame-loading {
    position: absolute;
    background: #ffffff38;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: 100;
    backdrop-filter: blur(8px);
}

th.top-pos {
    top: 36px !important;
}

.left-bar, .right-bar {
    padding: 0;
    position: fixed;
    height: 100vh;
    overflow-y: auto;
    padding-bottom: 85px;
    background: #ffffff0a;
}

    .left-bar > div, .right-bar > div {
        padding-bottom: 85px;
    }

.left-bar {
    left: 0;
    border-right: 1px solid #ffffff17;
}

    .left-bar > div {
    }

.right-bar {
    right: 0;
    border-left: 1px solid #ffffff17;
}

    .left-bar ul li, .right-bar ul li {
    }

        .left-bar ul li a, .right-bar ul li a {
            display: block;
            border-bottom: 1px solid #ffffff17;
            color: #fff;
            transition: 0.2s;
            padding: 8px 5px;
            font-size: 12px;
        }

            .left-bar ul li a:hover, .right-bar ul li a:hover {
                background: #ffffff20;
                color: #6ab0ef;
            }

            .left-bar ul li a.active, .right-bar ul li a.active {
                background: #ffffff20;
                color: #6ab0ef;
            }

    .left-bar::-webkit-scrollbar, .right-bar::-webkit-scrollbar {
        width: 4px;
        background-color: #04040b;
    }

    .left-bar::-webkit-scrollbar-track, .right-bar::-webkit-scrollbar-track {
        box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    }

    .left-bar::-webkit-scrollbar-thumb, .right-bar::-webkit-scrollbar-thumb {
        background-color: #ffffff38;
    }

.floatnav-right {
    padding: 0px;
    position: fixed;
    height: calc(100vh - 10px);
    width: 100%;
    right: 0;
    z-index: 200;
    top: 0;
    background-color: #111648a6;
    backdrop-filter: blur(2px);
}

    .floatnav-right .theme {
        background: #1a1f4e;
    }

        .floatnav-right .theme .table > :not(caption) > * > * {
            background-color: #1a1f4e00;
            backdrop-filter: blur(2px);
        }

        .floatnav-right .theme .table th {
            background-color: #1a1f4e;
        }

.fix-th .table {
    border-collapse: separate;
}

.fix-th {
    overflow: auto;
    height: 200px;
}

    .fix-th thead th {
        position: sticky;
        top: 0;
        z-index: 1;
    }

.floatnav-right .close-btn {
    position: absolute;
    right: 0;
    top: 5px;
    border-radius: 50%;
    background-color: #fff;
    box-shadow: 0px 0px 12px #00000078;
    opacity: 1;
    display: block;
    padding: 5px;
    padding-top: 10px;
    z-index: 100;
}

    .floatnav-right .close-btn .fas {
        width: 28px;
        text-align: center;
        font-size: 20px;
    }

.ibnd-card {
}

    .ibnd-card .table {
        font-size: 0.9rem;
        margin-bottom: 0;
    }

        .ibnd-card .table td {
            cursor: pointer;
        }

    .ibnd-card .city-expand > td,
    .ibnd-card .branch-expand > td,
    .ibnd-card .leader-expand > td,
    .ibnd-card .salesman-expand > td {
        padding: 0;
    }

    .ibnd-card .branch-header th {
        background: #cccccc9c;
    }

    .ibnd-card .leader-header th {
        background: #8c8d5f;
    }

    .ibnd-card .dse-header th {
        background: #76543d;
    }

    .ibnd-card .branch > td:first-child,
    .ibnd-card .branch-header th:first-child {
        border-left: 2px solid #cccccc9c;
    }

    .ibnd-card .leader > td:first-child,
    .ibnd-card .leader-header th:first-child {
        border-left: 2px solid #8c8d5f;
    }

    .ibnd-card .salesman > td:first-child,
    .ibnd-card .dse-header th:first-child {
        border-left: 2px solid #76543d;
    }

    .ibnd-card .dse-container {
        max-height: 300px;
        overflow-y: auto;
        border-bottom: 2px solid #ffffff26;
    }

.scroll-body {
    overflow-x: scroll;
}

.inner-scroll {
    width: 100vh;
}

.salesman-expand .table td {
    background-color: #0000006e;
    font-size: 85%;
}

.salesman-expand .table th {
    background: #249f668f;
}

.gradient-table.color-1 {
    background: linear-gradient(#1f255c00 40%, #1f3468);
}

.gradient-table.color-2 {
    background: linear-gradient(#1f255c00 40%, #1f3468);
}

.gradient-table.color-1 th {
    background-color: #4b587a;
}

.gradient-table.color-2 th {
    background-color: #1f3468;
}

.gradient-table td {
    background-color: transparent !important;
}

.filter-list {
    transition: .3s;
    border-radius: 20px;
    background: #ffffff0f;
    background: linear-gradient(360deg, #ffffff0f, #ffffff24);
    box-shadow: 0px 2px 5px #0000002b;
    margin-bottom: 15px;
    overflow: hidden;
}

    .filter-list ul {
        display: flex;
    }

        .filter-list ul li {
            position: relative;
        }

            .filter-list ul li a {
                display: block;
                padding: 10px 20px;
                color: #fff;
                border-right: 1px solid #00000063;
                font-size: 0.9rem;
                font-weight: 600;
                transition: .3s;
                /* background: #ffffff0d;*/
            }

                .filter-list ul li a:hover, .filter-list ul li a.active {
                    background: #0000004d;
                }

            .filter-list ul li.splitter {
                padding: 0px 3%;
                border-right: 1px solid #00000063;
            }

            .filter-list ul li input {
                height: 100%;
                width: var(--spl-input);
                border: none;
                color: #fff;
                border-right: 1px solid #00000063;
                font-size: 0.9rem;
                font-weight: 600;
                transition: .3s;
                background: #ffffff0d;
                padding: 0px 35px 0px 15px;
                border-radius: 0;
                position: relative;
                z-index: 1;
                cursor: pointer;
            }

            .filter-list ul li .form-select {
                height: 100%;
                width: var(--spl-select);
                border: none;
                color: #fff;
                border-right: 1px solid #00000063;
                font-size: 0.9rem;
                font-weight: 600;
                transition: .3s;
                background-color: #252e56;
                padding: 0px 35px 0px 15px;
                border-radius: 0;
            }


            .filter-list ul li input::-webkit-input-placeholder {
                color: #fff;
            }

            .filter-list ul li input:focus {
                border-color: #00000063;
                outline: 0;
                box-shadow: none;
            }

            .filter-list ul li i {
                color: #fff;
                position: absolute;
                height: 16px;
                width: 10px;
                text-align: center;
                right: 20px;
                top: 50%;
                margin-top: -8px;
            }

    .filter-list .icon i {
        display: none;
    }

    .filter-list .icon.active i {
        display: block;
    }

.theme .table {
    font-size: var(--tb-font);
}

.tooltip-table-container .table,
.tool-tip-heading {
    font-size: var(--tb-font);
}

.main-navbar .main-nav.navbar .nav-link {
    font-size: clamp(13px, 0.95vw, 30px);
}

.main-navbar .main-nav.navbar .user-btn .nav-link {
    font-size: clamp(13px, 0.95vw, 30px);
}

.filter-list ul li a,
.filter-list ul li input,
.filter-list ul li .form-select {
    font-size: clamp(12px, 0.95vw, 26px);
}

.theme .form-select,
.theme .form-control,
.theme .form-label {
    font-size: clamp(12px, 1vw, 26px);
}

td .toggle-heref {
    font-size: clamp(12px, 0.95vw, 26px);
}

.theme.card .card-header {
    font-size: clamp(16px, 0.96vw, 30px);
}

.login .login-box > div .btn {
    font-size: clamp(12px, 1.3vw, 32px);
}

.form-icon > .form-control {
    font-size: clamp(12px, 0.97vw, 28px);
}

[data-bs-theme="light"] .theme .table .vehicle-info tr:first-child td {
    border-top: 2px solid var(--mnv--border-color) !important;
}

[data-bs-theme="light"] .theme .table .vehicle-info tr.last-tr td {
    border-bottom: 2px solid var(--mnv--border-color) !important;
}

[data-bs-theme="light"] .theme .table .vehicle-info tr td:first-child {
    border-left: 2px solid var(--mnv--border-color) !important;
}

[data-bs-theme="light"] .theme .table .vehicle-info tr td:last-child {
    border-right: 2px solid var(--mnv--border-color) !important;
}

li.ms-auto.active .form-select {
    background: #3c4774;
}

.note-higlight {
    font-size: 11px;
    margin-top: 5px;
    background: #333;
    color: #f9ff00;
    padding: 5px 10px;
    border-radius: 30px;
    margin-right: 10px;
}

.marquee {
    overflow: hidden;
    background: #282964;
    font-size: 0.8rem;
    font-weight: 500;
    z-index: 2;
    box-shadow: 0px 5px 7px #00000024;
    color: #d7d7d7;
    position: relative;
    padding: 4px;
    cursor: pointer;
}

    .marquee span {
        margin-right: 50px;
    }

.sidebar {
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    width: 75%;
    height: 100%;
    background: #1a1f4e;
    color: #ffffff;
    overflow-y: auto;
    overflow-x: visible; /* allow ❌ outside */
    transform: translateX(100%); /* slide from right */
    transition: transform 0.35s ease, box-shadow 0.35s ease;
    opacity: 0.95;
    border-left: 1px solid #ccc;
    z-index: 1001;
}

    /* Visible state */
    .sidebar.show {
        display: block;
        transform: translateX(0);
        box-shadow: -4px 0 12px rgba(0,0,0,0.3);
    }

.sidebar-header {
    position: relative; /* anchor for ❌ */
    height: 48px;
    padding: 10px 15px;
    border-bottom: 1px solid rgba(255,255,255,0.15);
}

.close-btn {
    position: absolute;
    top: 5px; /* half outside vertically */
    right: 5px; /* half outside horizontally */
    width: 34px;
    height: 34px;
    background: #e9aa4e;
    border-radius: 50%;
    color: #ffffff;
    font-size: 18px;
    line-height: 34px;
    text-align: center;
    cursor: pointer;
    z-index: 1002;
    box-shadow: 0 4px 10px rgba(0,0,0,0.4);
}

    .close-btn:hover {
        background: #374151;
    }

.table-wrap {
    /*  max-height: 420px; 👈 set your height */
    max-height: calc(100vh - 50px);
    overflow-y: auto;
    border: 1px solid #2f355e;
}

/* Make header sticky */
.data-table thead th {
    position: sticky;
    top: 0;
    background: #0f163d;
    z-index: 2;
}

/* Optional polish */
.data-table {
    width: 100%;
    border-collapse: collapse;
}

    .data-table th,
    .data-table td {
        padding: 8px 10px;
        white-space: nowrap;
        color: #fff;
    }


/*-----------------------------*/

:root {
    --mnv--border-color: #aeb7e5;
}

@media (max-width: 767px) {
    .dz-file-messages {
        width: calc(100% - 0px);
        border-top: 1px solid #ffffff47;
        border-left: none;
    }
}

@media (min-width: 576px) {
    :root {
        --body-pad-top: 94px;
        --tb-font: 13px;
        --menu-font: .9rem;
        --normal-font: .9rem;
        --spl-input: 150px;
        --spl-select: 150px;
    }
}

@media (min-width: 768px) {
    :root {
        --body-pad-top: 94px;
        --tb-font: 13px;
        --menu-font: .9rem;
        --normal-font: .9rem;
        --spl-input: 150px;
        --spl-select: 150px;
    }
}

@media (min-width: 992px) {
    :root {
        --body-pad-top: 94px;
        --tb-font: 13px;
        --menu-font: .9rem;
        --normal-font: .9rem;
        --spl-select: 150px;
        --spl-input: 150px;
        --spl-select: 150px;
    }
}

@media (min-width: 1200px) {
    :root {
        --body-pad-top: 94px;
        --tb-font: 13px;
        --menu-font: .9rem;
        --normal-font: .9rem;
        --spl-input: 150px;
        --spl-select: 150px;
    }
}

@media (min-width: 1400px) {
    :root {
        --body-pad-top: 94px;
        --tb-font: 13px;
        --menu-font: .9rem;
        --normal-font: .9rem;
        --spl-input: 150px;
        --spl-select: 150px;
    }
}

@media (min-width: 3000px) {
    :root {
        --body-pad-top: 130px;
        --tb-font: 1.5rem;
        --menu-font: 2rem;
        --normal-font: 1.5rem;
        --spl-input: 225px;
        --spl-select: auto;
    }
}

@media (max-width: 767px) {
    :root {
        --body-pad-top: 50px;
        --tb-font: 1rem;
        --menu-font: 2rem;
        --normal-font: 1.5rem;
        --spl-input: 150px;
    }
}
